#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 one-liner
version:              2.1
visibility:           public
id:                   one-liner-2.1-2TFGyH2XtBxBgsK0rScibZ
key:                  one-liner-2.1-2TFGyH2XtBxBgsK0rScibZ
license:              BSD-3-Clause
maintainer:           sjoerd@w3future.com
author:               Sjoerd Visscher, Xia Li-yao
homepage:             https://github.com/sjoerdvisscher/one-liner
synopsis:             Constraint-based generics
description:
    Write short and concise generic instances of type classes.
    one-liner is particularly useful for writing default
    implementations of type class methods.

category:             Generics
abi:                  dfdcf26c42de9c0902f7e4f25fccfda8
exposed:              True
exposed-modules:
    Generics.OneLiner Generics.OneLiner.Binary
    Generics.OneLiner.Classes Generics.OneLiner.Internal
    Generics.OneLiner.Internal.Unary

import-dirs:          /usr/lib/ghc-9.0.2/site-local/one-liner-2.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/one-liner-2.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-one-liner
hs-libraries:         HSone-liner-2.1-2TFGyH2XtBxBgsK0rScibZ
depends:
    base-4.15.1.0 bifunctors-5.5.12-8WQdDnMLGg9GQFAHbjBh9Y
    contravariant-1.5.5-FtJyCLyWfutGN2UWoJs8qd ghc-prim-0.7.0
    linear-base-0.1.0-4YanU3XYkdF92lVRaPN8sS
    profunctors-5.6.2-2qoZQbacCfF76fGb6znYHz
    tagged-0.8.6.1-79gYUUazit6EfoPS33FHdR transformers-0.5.6.2

haddock-interfaces:   /usr/share/doc/haskell-one-liner/html/one-liner.haddock
haddock-html:         /usr/share/doc/haskell-one-liner/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

